<?php

/**
 * @package Desk-Net plugin Settings.
 * @author  Desk-Net GmbH.
 */
class Desk_Net_Plugin_Settings {
	// Desk-Net Rest Service.
	const DN_BASE_URL = 'https://desk-net.com';

	/**
	 * The setting new post meta with Desk-Net revision.
	 *
	 * @param string $post_id
	 *   The post id which will update.
	 * @param array  $json_request
	 *   The new Desk-Net revision data.
	 */
	public static function desk_net_set_revision( $post_id, array $json_request
	) {
		$desk_net_title = preg_replace( '/[\r\n\t ]+/', ' ',
			$json_request['description'] );
		if ( isset( $desk_net_title ) ) {
			update_post_meta( $post_id, 'desk_net_description',
				html_entity_decode( $desk_net_title ) );
		}

		if ( isset( $json_request['id'] ) ) {
			update_post_meta( $post_id, 'story_id', $json_request['id'] );
		}

		if ( isset( $json_request['publication']['status']['name'] ) ) {
			update_post_meta( $post_id, 'desk_net_status_name',
				$json_request['publication']['status']['name'] );
		}

		if ( isset( $json_request['publication']['status']['id'] ) ) {
			update_post_meta( $post_id, 'desk_net_status_id',
				$json_request['publication']['status']['id'] );
		}

		if ( isset( $json_request['publication']['id'] ) ) {
			update_post_meta( $post_id, 'publications_id',
				$json_request['publication']['id'] );
		}

		if ( isset( $json_request['publication']['category']['id'] ) ) {
			update_post_meta( $post_id, 'desk_net_category_id',
				$json_request['publication']['category']['id'] );
		}
	}
}
