<?php

/**
 * @package Desk_Net_Scan_Media_Files.
 * @author  Desk-Net GmbH.
 */
class Desk_Net_Scan_Media_Files {

	function __construct() {
	}

	/**
	 * Perform Get List FileID by name.
	 *
	 * @param string $file_name
	 *   The file name.
	 * @param string $file_type
	 *   The file type.
	 * @param string $file
	 *   The file for compare.
	 *
	 * @return integer|boolean
	 *   The result ID Files or false if file Not Found.
	 */
	public function scan_media_files( $file_name, $file_type, $file ) {
		global $wpdb;

		$file_name = strval( $file_name );

		$query = $wpdb->prepare( "
          SELECT $wpdb->posts.ID 
            FROM $wpdb->posts
            WHERE $wpdb->posts.post_title = %s
            AND $wpdb->posts.post_type = 'attachment'
            AND $wpdb->posts.post_mime_type = %s
            ORDER BY $wpdb->posts.post_date DESC
          ", array( $file_name, $file_type ) );
		// @codingStandardsIgnoreStart.
		$file_list = $wpdb->get_results( $query, ARRAY_A );
		// @codingStandardsIgnoreEnd.
		if ( ! empty( $file_list ) ) {
			return $this->compare_file_hash( $file_list, $file );
		}

		return false;
	}

	/**
	 * Perform Get List FileID by name.
	 *
	 * @param array  $file_list
	 *   The List with Files ID.
	 * @param string $file
	 *   The file for compare.
	 *
	 * @return integer|boolean
	 *   The result ID Files or false if file Not Found.
	 */
	public function compare_file_hash( $file_list, $file ) {
		foreach ( $file_list as $value ) {
			if ( get_attached_file( $value['ID'] ) !== false
			     && md5_file( $file )
			        === md5_file( get_attached_file( $value['ID'] ) )
			) {
				return $value['ID'];
			}
		}

		return false;
	}
}
