<?php

/**
 * @package Desk_Net_HTML.
 * @author  Desk-Net GmbH.
 */

class Desk_Net_HTML {
	function __construct() {
	}

	/**
	 * Perform generation checkbox HTML component.
	 *
	 * @param string $option_name
	 *   The option name.
	 * @param string $name
	 *   The checkbox Name attribute.
	 * @param string $id
	 *   The checkbox ID attribute.
	 * @param string $value
	 *   The checkbox value.
	 * @param string $label
	 *   The checkbox label.
	 * @param string $label_position
	 *   The label position.
	 * @param array  $classes
	 *   The label font weight.
	 */
	public function desk_net_checkbox(
		$option_name, $name, $id, $value = '', $label = '',
		$label_position = 'right', array $classes = []
	) {
		$classes = implode( ' ', $classes ) . ' min-w142 dn-width-152 dn-pb-5';

		$html[] = '<input type="checkbox" id="wp_desk_net_' . $id . '" 
        name="wp_desk_net_' . $option_name . '[wp_desk_net_' . $name . ']" '
		          . $value . '/>';
		$html[] = '<label for="wp_desk_net_' . $id . '" 
        class="' . $classes . '"> ' . $label . '</label>';
		$html   = ( 'left' === $label_position ) ? array_reverse( $html )
			: $html;
		echo implode( ' ', $html );
	}
}