<?php

/**
 * Perform generation Template for Matching page.
 *
 * array array[key]
 *   The key has ID or Slug value.
 *  string array[key][name]
 *   The element Name.
 *  string array[key][parent]
 *   The element Parent.
 *
 * @param array  $element_name_list
 *   The main elements list for the first block.
 * @param array  $element_value_list
 *   The main elements list for the second block.
 * @param string $type
 *   The type element.
 * @param string $send_direction
 *   The direction for send elements.
 * @param string $default_value
 *   The default value.
 *
 * @return void
 */
function desk_net_template_matching_pages(
	$element_name_list, $element_value_list, $type, $send_direction,
	$default_value = ''
) {
	?>
    <table class="clear-padding matching-page <?php echo esc_html( $type ); ?>">
        <tbody>
		<?php

		if ( isset( $element_name_list ) && isset( $element_value_list ) ) {
			foreach ( $element_name_list as $key => $wp_element ) {
				if ( ! empty( get_option( 'wp_desk_net_' . $type
				                          . $send_direction . $key ) )
				) {
					$value = get_option( 'wp_desk_net_' . $type
					                     . $send_direction . $key );
				} else {
					$value = (string) $default_value;
				}
				?>

                <tr>
                    <td class="min-w142">
                        <strong>
							<?php

							if ( isset( $element_name_list[ $key ]['parent'] ) ) {
							$parent_id = $element_name_list[ $key ]['parent'];

							foreach ( $element_name_list

							as $element_key => $wp_element ) {
							if ( $element_key === $parent_id ) {
							echo esc_html( $wp_element['name'] );
							?>
                        </strong> - <strong>
							<?php
							break;

							}
							}
							}

							echo esc_html( $element_name_list[ $key ]['name'] );
							?>
                        </strong></td>
                    <td class="text-arrow">&rarr;</td>
                    <td class="select-width <?php echo esc_html( $type ); ?>">
                        <select name="wp_desk_net_<?php echo esc_html( $type ); ?>_list[wp_desk_net_<?php echo esc_html( $type
						                                                                                                 . $send_direction
						                                                                                                 . $key ); ?>]">
							<?php
							foreach ( $element_value_list as $keys => $element )
							{
								$element_value = (string) $keys;

								if ( isset( $value )
								     && $element_value === $value
								) {
									$active = 'selected';
								} else {
									$active = '';
								}

								if ( isset( $element['parent'] ) ) {
									$parent_id
										= $element['parent'];
									foreach (
										$element_value_list as $element_key =>
										$wp_element
									) {
										if ( $element_key === $parent_id ) {
											$parent_name
												= $wp_element['name'];
											break;
										}
									}
								}

								if ( isset( $parent_name )
								     && ! empty( $parent_name )
								) {
									$element_value = $parent_name . ' - '
									                 . $element['name'];
									$parent_name   = '';
								} else {
									$element_value
										= $element['name'];
								}
								?>
                                <option value="<?php echo esc_attr( $keys ); ?>" <?php echo esc_attr( $active ); ?>><?php echo esc_html( $element_value ); ?></option>';
								<?php
							}
							?>
                        </select>
                    </td>
                </tr>
				<?php
				$value = null;
			}
		} else {
			echo esc_html( "Sorry, we can't load $type" );
		}
		?>
        </tbody>
    </table>
	<?php
}
